# Header Block Pattern
#
header_blocks:
  label: Header blocks
  description: A container with a carousel functionality for heading blocks
  fields:
    items:
      type: collection
      label: Header block items
      description: Each block is a slide with title, subtitle, link and background.
      preview:
        -
          title: Vestibulum rutrum mi nec
          subtitle: In ac felis quis tortor malesuada pretium. Aenean commodo ligula eget dolor.
          link: http://cern.ch
          background_image: http://lorempixel.com/900/500/sports/1
        -
          title: Donec orci lectus
          subtitle: Integer tincidunt. Ut a nisl id ante tempus hendrerit.
          link: http://cern.ch
          background_image: http://lorempixel.com/900/500/sports/2
        -
          title: Quisque ut nisi
          subtitle: Vestibulum ante ipsum primis in faucibus orci luctus et ultrices posuere cubilia Curae.
          link: http://cern.ch
          background_image: http://lorempixel.com/900/500/sports/6
  

  libraries:
    - cern_components/owlcarousel
 
    - carousel-library:
        js:
          js/header_carousel.js: {}
        css:
          component:
            css/header_blocks.css: {}
        dependencies:
          - core/jquery
          - core/drupalSettings

  use: "@cern_components/molecules/header-blocks/header-blocks.html.twig"
